Skip to main content
PUT
Error

Authorizations

Authorization
string
header
required

API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer . Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences.

Path Parameters

conversation_id
string<uuid>
required

Conversation ID.

variable_id
string<uuid>
required

Variable ID.

Body

application/json

Request body for updating a conversation variable.

value
any
required

The new value for the variable. Must match the variable's expected type.

user
string

User identifier.

Response

Variable updated successfully.

id
string<uuid>

Variable ID.

name
string

Variable name.

value_type
string

Variable value type. Possible values: string, number, object, secret, file, boolean, array[any], array[string], array[number], array[object], array[file], array[boolean].

value
string

Variable value (can be a JSON string for complex types).

description
string

Variable description.

created_at
integer<int64>

Creation timestamp.

updated_at
integer<int64>

Last update timestamp.